import * as vue from 'vue';
import { SetupContext, VNode } from 'vue';
import { a as MessageID, c as MessageContent, e as MessageValues, b as MessageDescriptor, C as CustomMessageValues } from './messages-d5f471aa.js';
import '@formatjs/intl';
import '@formatjs/icu-messageformat-parser';

interface CommonProps {
    tags?: string[];
}
interface PropsWithMessageIDNormal<I extends MessageID> extends CommonProps {
    messageId: I | MessageDescriptor<I>;
    values?: CustomMessageValues<I>;
}
interface PropsWithMessageIDSlashed<I extends MessageID> extends CommonProps {
    'message-id': I | MessageDescriptor<I>;
    values?: CustomMessageValues<I>;
}
type PropsWithMessageID<I extends MessageID> = PropsWithMessageIDNormal<I> | PropsWithMessageIDSlashed<I>;
interface PropsWithMessage extends CommonProps {
    message: MessageContent;
    values?: MessageValues;
}
declare function IntlFormatted<I extends MessageID>(props: PropsWithMessageID<I> | PropsWithMessage, context: SetupContext): vue.VNode<vue.RendererNode, vue.RendererElement, {
    [key: string]: any;
}>[];

interface Props {
    of: VNode[] | VNode;
}
declare function Fragment(props: Props): VNode<vue.RendererNode, vue.RendererElement, {
    [key: string]: any;
}>[];

export { Fragment, IntlFormatted };
