import { I as IntlController, F as FormatAliases } from './intl-dc152b78.js';
import { M as MessageValueType } from './messages-d5f471aa.js';
export { C as CustomMessageValues, I as InputValues, c as MessageContent, b as MessageDescriptor, a as MessageID, e as MessageValues, d as MessagesMap } from './messages-d5f471aa.js';
export { a as Locale, L as LocaleDescriptor } from './locales-22b40efa.js';
export { P as PreferredLocalesSource } from './sources-02c94682.js';
import { T as TranslateFunction } from './translateFunction-6f001285.js';
import './ErrorEvent-881212aa.js';
import 'vue';
import '@formatjs/intl';
import 'intl-messageformat';
import '@braw/async-computed';
import '@formatjs/icu-messageformat-parser';

/**
 * Retrieves installed controller in the current application.
 *
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
declare function useI18n<ControllerType = MessageValueType>(): IntlController<ControllerType>;

/**
 * A composable to retrieve the format function aliases from the installed
 * controller in the current app.
 *
 * @deprecated Please use `const { formats } = useI18n()` instead.
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
declare function useFormatters<T = MessageValueType>(): FormatAliases<T>;

/**
 * A composable to retrieve function to format a message from the installed
 * controller in the current app.
 *
 * @deprecated Please use `const { formatMessage } = useI18n()` instead.
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
declare function useTranslate(): TranslateFunction;

export { FormatAliases, MessageValueType, TranslateFunction, useFormatters, useI18n, useTranslate };
